Bug 112280 - Software interrupt forced exit: Segmentation Fault during tripwire --init
Software interrupt forced exit: Segmentation Fault during tripwire --init
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tripwire (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 18:42 EST by Neil
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-22 14:42:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2003-12-16 18:42:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
tripwire --init

gives

Please enter your local passphrase:
Parsing policy file: /etc/tripwire/tw.pol
Generating the database...
*** Processing Unix File System ***
Software interrupt forced exit: Segmentation Fault

Version-Release number of selected component (if applicable):
tripwire-2.3.1-5

How reproducible:
Always

Steps to Reproduce:
1.cd /etc/tripwire
2.twinstall.sh (give it some phrases)
3.tripwire --init
use the local phrase

Actual Results:  Please enter your local passphrase:
Parsing policy file: /etc/tripwire/tw.pol
Generating the database...
*** Processing Unix File System ***
Software interrupt forced exit: Segmentation Fault


Expected Results:  Please enter your local passphrase:
Parsing policy file: /etc/tripwire/tw.pol
Generating the database...
*** Processing Unix File System ***
Wrote database file: /var/lib/tripwire/host.domain.twd
The database was successfully generated.

Additional info:

seeing as its tripwire I didn't know whether to mark the severity as
seurity or not
Comment 1 Neil 2003-12-16 19:06:22 EST
i added some files that don't exist they get shown before the software
interupt

i get lots of sections like

### Warning: File system error.
### Filename: /root/.xsession-errors
### No such file or directory
### Continuing...

then the same 

Software interrupt forced exit: Segmentation Fault
Comment 2 Neil 2003-12-22 14:42:15 EST
I've realised that the tripwire rpm I used was for rhel-2.1, and that
it has been dropped from version rhel-3 (which is a shame)

Note You need to log in before you can comment on or make changes to this bug.